#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libv4l2rds0 preinstallation
#
# Creation   :  2018-08-25 holbru
# Last update:  $Id: preinstall.sh 56938 2018-08-25 20:43:55Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libv4l2rds0

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check libv4l 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/libv4l-files.txt ]
    then
        sed -i '/libv4l2rds.so/d' /etc/filelist.d/libv4l-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
